
pkgbase=croco-plymouth-theme
_gitname=croco-plymouth-theme
pkgname=(
    'croco-plymouth-theme'
    )
pkgver=r5.45fec37
pkgrel=1
arch=('any')
_branch='master'
url="https://gitlab.com/croco-os/themes-and-settings/croco-plymouth-theme"
license=('GPL')
makedepends=('git')
source=("git+$url.git")
sha256sums=('SKIP')

_install() {
    if [[ -d $srcdir/$_gitname/$1/etc ]]; then
        install -d $pkgdir/etc
        cp -rf $srcdir/$_gitname/$1/etc $pkgdir
    fi

    if [[ -d $srcdir/$_gitname/$1/usr ]]; then
        install -d $pkgdir/etc
        cp -rf $srcdir/$_gitname/$1/usr $pkgdir
    fi
    
    if [[ -d $srcdir/$_gitname/$1/skel ]]; then
        install -d $pkgdir/etc
        cp -rf $srcdir/$_gitname/$1/skel $pkgdir/etc
    fi

}

pkgver() {
	cd "$srcdir/croco-plymouth-theme"

# Git, no tags available
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"

}

package_croco-plymouth-theme() {
    pkgdesc='croco-plymouth-theme'
    depends=() 
    install=plymouth.install
    _install ''
}
 
